package com.bocloud.cmp.model;

import java.util.List;

public class NodeModel {
    private String name;
    private String status;
    private String ip;
    private String roles;
    private String osCategory;
    private List<OsdModel> osds;
    private List<NodeDiskModel> disks;
    private String podId;
    private String type;
    private Integer score;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the ip
     */
    public String getIp() {
        return ip;
    }

    /**
     * @param ip the ip to set
     */
    public void setIp(String ip) {
        this.ip = ip;
    }

    /**
     * @return the roles
     */
    public String getRoles() {
        return roles;
    }

    /**
     * @param roles the roles to set
     */
    public void setRoles(String roles) {
        this.roles = roles;
    }

    /**
     * @return the osCategory
     */
    public String getOsCategory() {
        return osCategory;
    }

    /**
     * @param osCategory the osCategory to set
     */
    public void setOsCategory(String osCategory) {
        this.osCategory = osCategory;
    }

    /**
     * @return the osds
     */
    public List<OsdModel> getOsds() {
        return osds;
    }

    /**
     * @param osds the osds to set
     */
    public void setOsds(List<OsdModel> osds) {
        this.osds = osds;
    }

    /**
     * @return the disks
     */
    public List<NodeDiskModel> getDisks() {
        return disks;
    }

    /**
     * @param disks the disks to set
     */
    public void setDisks(List<NodeDiskModel> disks) {
        this.disks = disks;
    }

    public String getPodId() {
        return podId;
    }

    public void setPodId(String podId) {
        this.podId = podId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }
}
